Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.compiere.ejb
Class MD5Bean

    java.lang.Object
      org.compiere.ejb.MD5Bean

All Implemented Interfaces:
  javax.ejb.EnterpriseBean, java.io.Serializable, javax.ejb.SessionBean

public class MD5Bean
extends java.lang.Object
implements javax.ejb.SessionBean

See Also:
  Serialized Form

Field Summary
`private org.compiere.util.CLogger` | `log`

Constructor Summary
`MD5Bean()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()` Default create method
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`java.lang.String` | `getFileAsolutePath(java.lang.String Filename)` Business method
`java.lang.String` | `getFileMD5(java.lang.String FileName)` Business method
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private org.compiere.util.CLogger log

Constructor Detail

### MD5Bean

    public MD5Bean()

Method Detail

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException,
                                  java.rmi.RemoteException

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException,
                          java.rmi.RemoteException

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException,
                            java.rmi.RemoteException

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException,
                             java.rmi.RemoteException

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Default create method

  Throws:
    `javax.ejb.CreateException`

### getFileMD5

    public java.lang.String getFileMD5(java.lang.String FileName)

  Business method

  Parameters:
    `FileName` -
  Returns:
    hash base64 encoded

### getFileAsolutePath

    public java.lang.String getFileAsolutePath(java.lang.String Filename)

  Business method

  Parameters:
    `Filename` -
  Returns:
    AbsolutePath on server

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD